--- shape.cc.orig	2017-01-01 22:05:19.000000000 -0700
+++ shape.cc	2017-10-01 04:12:23.000000000 -0700
@@ -20,7 +20,7 @@
 
  */
 #include "defs.h"
-#include "shapelib/shapefil.h"
+#include <shapefil.h>
 #include <stdlib.h>
 
 #if SHAPELIB_ENABLED
--- src/core/ziparchive.h.orig	2017-01-01 22:05:19.000000000 -0700
+++ src/core/ziparchive.h	2017-10-01 04:17:23.000000000 -0700
@@ -21,7 +21,7 @@
 
 #include <QtCore/QString>
 #include <QtCore/QStringList>
-#include "zlib/contrib/minizip/zip.h"
+#include <minizip/zip.h>
 
 class  ZipArchive
 {
--- src/core/ziparchive.cc.orig	2017-01-01 22:05:19.000000000 -0700
+++ src/core/ziparchive.cc	2017-10-01 04:18:21.000000000 -0700
@@ -23,7 +23,7 @@
 
 #include "defs.h"
 #include "src/core/logging.h"
-#include "zlib/contrib/minizip/zip.h"
+#include <minizip/zip.h>
 
 #include <QtCore/QFile>
 #include <QtCore/QDebug>
--- configure.in.orig	2017-01-01 22:05:19.000000000 -0700
+++ configure.in	2017-10-01 04:20:24.000000000 -0700
@@ -402,7 +402,7 @@
 AC_SUBST(QT_SYSINC_OPT)
 AC_SUBST(QT_LIBS)
 
-AC_CONFIG_FILES([Makefile gbversion.h gui/setup.iss xmldoc/makedoc tools/mkcapabilities win32/gpsbabel.rc jeeps/Makefile shapelib/Makefile zlib/empty])
+AC_CONFIG_FILES([Makefile gbversion.h gui/setup.iss xmldoc/makedoc tools/mkcapabilities win32/gpsbabel.rc jeeps/Makefile])
 AC_CONFIG_FILES([gui/makelinuxdist.sh], [chmod +x gui/makelinuxdist.sh])
 AC_OUTPUT
 
--- Makefile.in.orig	2017-01-01 22:05:19.000000000 -0700
+++ Makefile.in	2017-10-01 04:28:04.000000000 -0700
@@ -100,16 +100,9 @@
 # Extra modules in Jeeps that we don't use
 # 	jeeps/gpsfmt.o jeeps/gpsinput.o jeeps/gpsproj.o
 
-SHAPE=shapelib/shpopen.o shapelib/dbfopen.o shapelib/safileio.o
-
-MINIZIP=zlib/contrib/minizip/zip.o \
-	zlib/contrib/minizip/ioapi.o
-
-ZLIB=zlib/adler32.o zlib/compress.o zlib/crc32.o zlib/deflate.o zlib/inffast.o \
-	zlib/inflate.o zlib/infback.o zlib/inftrees.o zlib/trees.o \
-	zlib/uncompr.o zlib/gzlib.o zlib/gzclose.o zlib/gzread.o \
-	zlib/gzwrite.o zlib/zutil.o $(MINIZIP)
+SHAPE=-lshp
 
+ZLIB=-lz -lminizip
 
 LIBOBJS = queue.o route.o waypt.o filter_vecs.o util.o vecs.o mkshort.o \
           csv_util.o strptime.o grtcirc.o util_crc.o xmlgeneric.o \
@@ -119,7 +112,7 @@
 	  src/core/xmlstreamwriter.o \
 	  src/core/usasciicodec.o\
 	  src/core/ziparchive.o \
-	  $(GARMIN) $(JEEPS) $(SHAPE) @ZLIB@ $(FMTS) $(FILTERS)
+	  $(GARMIN) $(JEEPS) $(FMTS) $(FILTERS)
 OBJS = main.o globals.o $(LIBOBJS) @FILEINFO@
 
 DEPFILES = $(OBJS:.o=.d)
@@ -148,10 +141,10 @@
 all: gpsbabel$(EXEEXT)
 
 gpsbabel$(EXEEXT): configure Makefile $(OBJS) @GPSBABEL_DEBUG@ 
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) @LIBS@ $(QT_LIBS) @USB_LIBS@ $(OUTPUT_SWITCH)$@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) $(SHAPE) $(ZLIB) @LIBS@ $(QT_LIBS) @USB_LIBS@ $(OUTPUT_SWITCH)$@
 
 gpsbabel-debug: $(OBJS)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) @LIBS@ @EFENCE_LIB@ $(QT_LIBS) @USB_LIBS@ $(OUTPUT_SWITCH)$@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) $(OBJS) $(SHAPE) $(ZLIB) @LIBS@ @EFENCE_LIB@ $(QT_LIBS) @USB_LIBS@ $(OUTPUT_SWITCH)$@
 
 Makefile gbversion.h: Makefile.in config.status xmldoc/makedoc.in \
 	  gbversion.h.in gui/setup.iss.in
@@ -435,90 +428,90 @@
 	-$(QMAKE) -v
 
 # Machine generated from here down. 
-alan.o: alan.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+alan.o: alan.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h
-an1.o: an1.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+an1.o: an1.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h an1sym.h
-arcdist.o: arcdist.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+arcdist.o: arcdist.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h \
   grtcirc.h
-bcr.o: bcr.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+bcr.o: bcr.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h csv_util.h \
   garmin_tables.h cet_util.h
-bend.o: bend.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+bend.o: bend.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h filterdefs.h grtcirc.h
-brauniger_iq.o: brauniger_iq.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+brauniger_iq.o: brauniger_iq.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   gbser.h
-bushnell.o: bushnell.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+bushnell.o: bushnell.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-bushnell_trl.o: bushnell_trl.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-cet.o: cet.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+bushnell_trl.o: bushnell_trl.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+cet.o: cet.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h
-cet_util.o: cet_util.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+cet_util.o: cet_util.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   cet/ansi_x3_4_1968.h cet/cp1252.h cet/iso_8859_8.h
-compegps.o: compegps.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+compegps.o: compegps.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   csv_util.h jeeps/gpsmath.h jeeps/gpsport.h
-cst.o: cst.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+cst.o: cst.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h cet_util.h strptime.h
-csv_util.o: csv_util.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+csv_util.o: csv_util.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   csv_util.h garmin_fs.h jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   grtcirc.h src/core/logging.h strptime.h xcsv_tokens.gperf
-delgpl.o: delgpl.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+delgpl.o: delgpl.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-destinator.o: destinator.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+destinator.o: destinator.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   cet_util.h garmin_fs.h jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   strptime.h
-dg-100.o: dg-100.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+dg-100.o: dg-100.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h gbser.h
-discard.o: discard.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+discard.o: discard.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h
-dmtlog.o: dmtlog.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+dmtlog.o: dmtlog.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h jeeps/gpsmath.h \
   jeeps/gpsport.h xmlgeneric.h
-duplicate.o: duplicate.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+duplicate.o: duplicate.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   filterdefs.h
-easygps.o: easygps.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+easygps.o: easygps.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-energympro.o: energympro.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-enigma.o: enigma.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+energympro.o: energympro.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-exif.o: exif.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+enigma.o: enigma.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+exif.o: exif.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h garmin_tables.h \
   jeeps/gpsmath.h jeeps/gpsport.h
-explorist_ini.o: explorist_ini.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+explorist_ini.o: explorist_ini.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   explorist_ini.h
-f90g_track.o: f90g_track.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-fatal.o: fatal.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+f90g_track.o: f90g_track.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+fatal.o: fatal.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-filter_vecs.o: filter_vecs.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+filter_vecs.o: filter_vecs.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   filterdefs.h gbversion.h
-formspec.o: formspec.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+formspec.o: formspec.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-g7towin.o: g7towin.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+g7towin.o: g7towin.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h csv_util.h \
   cet_util.h garmin_fs.h jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   garmin_tables.h strptime.h
-garmin.o: garmin.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+garmin.o: garmin.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   grtcirc.h jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
@@ -526,85 +519,85 @@
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   jeeps/gpsserial.h garmin_tables.h garmin_fs.h garmin_device_xml.h
 garmin_device_xml.o: garmin_device_xml.cc defs.h config.h queue.h \
-  zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h xmlgeneric.h garmin_device_xml.h
-garmin_fit.o: garmin_fit.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-garmin_fs.o: garmin_fs.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+garmin_fit.o: garmin_fit.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+garmin_fs.o: garmin_fs.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   cet_util.h garmin_fs.h jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   garmin_tables.h
-garmin_gpi.o: garmin_gpi.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+garmin_gpi.o: garmin_gpi.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   cet_util.h jeeps/gpsmath.h jeeps/gpsport.h garmin_fs.h jeeps/gps.h \
   jeeps/gpsdevice.h jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h \
   jeeps/gpsapp.h jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   garmin_gpi.h
 garmin_tables.o: garmin_tables.cc garmin_tables.h defs.h config.h queue.h \
-  zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h src/core/logging.h jeeps/gpsmath.h jeeps/gpsport.h
-garmin_txt.o: garmin_txt.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+garmin_txt.o: garmin_txt.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   cet_util.h csv_util.h garmin_fs.h jeeps/gps.h jeeps/gpsport.h \
   jeeps/gpsdevice.h jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h \
   jeeps/gpsapp.h jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h \
   jeeps/gpsmath.h jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h \
   jeeps/gpsproj.h garmin_tables.h grtcirc.h strptime.h
-garmin_xt.o: garmin_xt.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-gbfile.o: gbfile.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+garmin_xt.o: garmin_xt.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+gbfile.o: gbfile.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   src/core/logging.h
-gbser.o: gbser.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+gbser.o: gbser.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h gbser.h \
   gbser_private.h
-gbser_posix.o: gbser_posix.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+gbser_posix.o: gbser_posix.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   gbser.h gbser_private.h
 gbsleep.o: gbsleep.cc config.h
-gdb.o: gdb.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+gdb.o: gdb.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h cet_util.h csv_util.h \
   garmin_fs.h jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   garmin_tables.h grtcirc.h
-geo.o: geo.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+geo.o: geo.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h src/core/file.h
-ggv_bin.o: ggv_bin.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+ggv_bin.o: ggv_bin.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-ggv_log.o: ggv_log.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+ggv_log.o: ggv_log.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h grtcirc.h \
   jeeps/gpsmath.h jeeps/gpsport.h
-ggv_ovl.o: ggv_ovl.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+ggv_ovl.o: ggv_ovl.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   grtcirc.h
-globals.o: globals.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+globals.o: globals.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h gbversion.h
-globalsat_sport.o: globalsat_sport.cc defs.h config.h queue.h zlib/zlib.h \
- zlib/zconf.h config.h gbfile.h cet.h inifile.h session.h \
+globalsat_sport.o: globalsat_sport.cc defs.h config.h queue.h \
+ config.h gbfile.h cet.h inifile.h session.h \
  src/core/datetime.h gbser.h
-glogbook.o: glogbook.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+glogbook.o: glogbook.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h \
   src/core/file.h
-gnav_trl.o: gnav_trl.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+gnav_trl.o: gnav_trl.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-googledir.o: googledir.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+googledir.o: googledir.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   xmlgeneric.h
-gopal.o: gopal.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+gopal.o: gopal.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   csv_util.h strptime.h jeeps/gpsmath.h jeeps/gpsport.h grtcirc.h
-gpssim.o: gpssim.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+gpssim.o: gpssim.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-gpsutil.o: gpsutil.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+gpsutil.o: gpsutil.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   magellan.h
-gpx.o: gpx.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+gpx.o: gpx.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h cet_util.h garmin_fs.h \
   jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
@@ -612,79 +605,79 @@
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h garmin_tables.h \
   src/core/logging.h src/core/file.h src/core/xmlstreamwriter.h \
   src/core/xmltag.h
-grtcirc.o: grtcirc.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+grtcirc.o: grtcirc.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h grtcirc.h
-gtm.o: gtm.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+gtm.o: gtm.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h jeeps/gpsmath.h \
   jeeps/gpsport.h
-gtrnctr.o: gtrnctr.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+gtrnctr.o: gtrnctr.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h
-height.o: height.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+height.o: height.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h \
   height.h
-hiketech.o: hiketech.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+hiketech.o: hiketech.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h \
   src/core/xmlstreamwriter.h
-holux.o: holux.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+holux.o: holux.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h holux.h
-html.o: html.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+html.o: html.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h jeeps/gpsmath.h \
   jeeps/gpsport.h src/core/xmltag.h
-humminbird.o: humminbird.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-igc.o: igc.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+humminbird.o: humminbird.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+igc.o: igc.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h cet_util.h
-ignrando.o: ignrando.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+ignrando.o: ignrando.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h
-igo8.o: igo8.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+igo8.o: igo8.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h cet_util.h
-ik3d.o: ik3d.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+ik3d.o: ik3d.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h
-inifile.o: inifile.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+inifile.o: inifile.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+internal_styles.o: internal_styles.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-internal_styles.o: internal_styles.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-interpolate.o: interpolate.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+interpolate.o: interpolate.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   filterdefs.h grtcirc.h
-itracku.o: itracku.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+itracku.o: itracku.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h gbser.h
 jeeps/gpsapp.o: jeeps/gpsapp.cc jeeps/gps.h jeeps/../defs.h config.h \
-  queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  queue.h gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h jeeps/garminusb.h \
   jeeps/gpsusbint.h jeeps/gpsserial.h
 jeeps/gpscom.o: jeeps/gpscom.cc jeeps/gps.h jeeps/../defs.h config.h \
-  queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  queue.h gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h
 jeeps/gpsdevice.o: jeeps/gpsdevice.cc jeeps/gps.h jeeps/../defs.h \
-  config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h \
+  config.h queue.h gbfile.h cet.h inifile.h \
   session.h src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   jeeps/gpsserial.h
 jeeps/gpsdevice_ser.o: jeeps/gpsdevice_ser.cc jeeps/gps.h jeeps/../defs.h \
-  config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h \
+  config.h queue.h gbfile.h cet.h inifile.h \
   session.h src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   jeeps/gpsserial.h
 jeeps/gpsdevice_usb.o: jeeps/gpsdevice_usb.cc jeeps/gps.h jeeps/../defs.h \
-  config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h \
+  config.h queue.h gbfile.h cet.h inifile.h \
   session.h src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   jeeps/garminusb.h jeeps/gpsusbint.h jeeps/gpsusbcommon.h
 jeeps/gpslibusb.o: jeeps/gpslibusb.cc config.h mac/libusb/usb.h \
-  jeeps/gps.h jeeps/../defs.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+  jeeps/gps.h jeeps/../defs.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h jeeps/gpsport.h \
   jeeps/gpsdevice.h jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h \
   jeeps/gpsapp.h jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h \
@@ -692,89 +685,89 @@
   jeeps/gpsproj.h jeeps/garminusb.h jeeps/gpsusbcommon.h \
   jeeps/../garmin_device_xml.h
 jeeps/gpsmath.o: jeeps/gpsmath.cc jeeps/gps.h jeeps/../defs.h config.h \
-  queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  queue.h gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h jeeps/gpsdatum.h
 jeeps/gpsmem.o: jeeps/gpsmem.cc jeeps/gps.h jeeps/../defs.h config.h \
-  queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  queue.h gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h
 jeeps/gpsprot.o: jeeps/gpsprot.cc jeeps/gps.h jeeps/../defs.h config.h \
-  queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  queue.h gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h
 jeeps/gpsread.o: jeeps/gpsread.cc jeeps/gps.h jeeps/../defs.h config.h \
-  queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  queue.h gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h jeeps/gpsserial.h
 jeeps/gpsrqst.o: jeeps/gpsrqst.cc jeeps/gps.h jeeps/../defs.h config.h \
-  queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  queue.h gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h
 jeeps/gpssend.o: jeeps/gpssend.cc jeeps/gps.h jeeps/../defs.h config.h \
-  queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  queue.h gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h jeeps/gpsserial.h
 jeeps/gpsserial.o: jeeps/gpsserial.cc jeeps/gps.h jeeps/../defs.h \
-  config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h \
+  config.h queue.h gbfile.h cet.h inifile.h \
   session.h src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   jeeps/gpsserial.h jeeps/../gbser.h gbser_posix.h
 jeeps/gpsusbcommon.o: jeeps/gpsusbcommon.cc jeeps/gps.h jeeps/../defs.h \
-  config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h \
+  config.h queue.h gbfile.h cet.h inifile.h \
   session.h src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   jeeps/garminusb.h jeeps/gpsusbcommon.h
 jeeps/gpsusbread.o: jeeps/gpsusbread.cc jeeps/gps.h jeeps/../defs.h \
-  config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h \
+  config.h queue.h gbfile.h cet.h inifile.h \
   session.h src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   jeeps/garminusb.h jeeps/gpsusbint.h
 jeeps/gpsusbsend.o: jeeps/gpsusbsend.cc jeeps/gps.h jeeps/../defs.h \
-  config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h \
+  config.h queue.h gbfile.h cet.h inifile.h \
   session.h src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   jeeps/garminusb.h jeeps/gpsusbint.h
 jeeps/jgpsutil.o: jeeps/jgpsutil.cc jeeps/gps.h jeeps/../defs.h config.h \
-  queue.h zlib/zlib.h zlib/zconf.h gbfile.h cet.h inifile.h session.h \
+  queue.h gbfile.h cet.h inifile.h session.h \
   src/core/datetime.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h
-jogmap.o: jogmap.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+jogmap.o: jogmap.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h garmin_tables.h \
   jeeps/gpsmath.h jeeps/gpsport.h xmlgeneric.h
-jtr.o: jtr.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+jtr.o: jtr.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h csv_util.h
-kml.o: kml.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+kml.o: kml.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h grtcirc.h \
   src/core/file.h src/core/xmlstreamwriter.h src/core/xmltag.h
-lmx.o: lmx.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+lmx.o: lmx.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h
-lowranceusr.o: lowranceusr.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-lowranceusr4.o: lowranceusr4.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
+lowranceusr.o: lowranceusr.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+lowranceusr4.o: lowranceusr4.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
 mac/libusb/darwin.o: mac/libusb/darwin.c config.h mac/libusb/usbi.h \
   mac/libusb/usb.h mac/libusb/error.h
 mac/libusb/descriptors.o: mac/libusb/descriptors.c mac/libusb/usbi.h \
@@ -783,261 +776,230 @@
   mac/libusb/error.h
 mac/libusb/usb.o: mac/libusb/usb.c mac/libusb/usbi.h mac/libusb/usb.h \
   mac/libusb/error.h
-maggeo.o: maggeo.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+maggeo.o: maggeo.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h csv_util.h \
   xmlgeneric.h magellan.h
-magproto.o: magproto.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+magproto.o: magproto.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h magellan.h \
   gbser.h explorist_ini.h
-main.o: main.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+main.o: main.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h filterdefs.h cet_util.h \
   csv_util.h src/core/usasciicodec.h
-mapasia.o: mapasia.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+mapasia.o: mapasia.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-mapbar_track.o: mapbar_track.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-mapfactor.o: mapfactor.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+mapbar_track.o: mapbar_track.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+mapfactor.o: mapfactor.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   src/core/file.h src/core/xmlstreamwriter.h
-mapsend.o: mapsend.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+mapsend.o: mapsend.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h mapsend.h \
   magellan.h
-mapsource.o: mapsource.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+mapsource.o: mapsource.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   garmin_tables.h jeeps/gpsmath.h jeeps/gpsport.h
-mkshort.o: mkshort.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+mkshort.o: mkshort.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h
-mmo.o: mmo.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+mmo.o: mmo.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h
-mtk_locus.o: mtk_locus.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+mtk_locus.o: mtk_locus.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   gbser.h
-mtk_logger.o: mtk_logger.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+mtk_logger.o: mtk_logger.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   gbser.h
-mynav.o: mynav.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+mynav.o: mynav.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-navicache.o: navicache.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+navicache.o: navicache.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   cet_util.h src/core/file.h
-naviguide.o: naviguide.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+naviguide.o: naviguide.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   csv_util.h jeeps/gpsmath.h jeeps/gpsport.h
-navilink.o: navilink.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+navilink.o: navilink.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h gbser.h \
   jeeps/gpsmath.h jeeps/gpsport.h navilink.h
-navitel.o: navitel.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+navitel.o: navitel.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h jeeps/gpsmath.h \
   jeeps/gpsport.h
-netstumbler.o: netstumbler.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+netstumbler.o: netstumbler.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   cet_util.h csv_util.h
-nmea.o: nmea.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+nmea.o: nmea.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h cet_util.h gbser.h \
   strptime.h jeeps/gpsmath.h jeeps/gpsport.h
-nmn4.o: nmn4.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+nmn4.o: nmn4.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h cet_util.h csv_util.h
-nukedata.o: nukedata.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+nukedata.o: nukedata.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h
-osm.o: osm.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+osm.o: osm.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h
-ozi.o: ozi.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+ozi.o: ozi.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h cet_util.h csv_util.h \
   jeeps/gpsmath.h jeeps/gpsport.h
-parse.o: parse.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+parse.o: parse.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h jeeps/gpsmath.h \
   jeeps/gpsport.h strptime.h
-pcx.o: pcx.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+pcx.o: pcx.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h garmin_tables.h \
   cet_util.h csv_util.h
-pocketfms_bc.o: pocketfms_bc.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-pocketfms_fp.o: pocketfms_fp.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+pocketfms_bc.o: pocketfms_bc.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+pocketfms_fp.o: pocketfms_fp.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   xmlgeneric.h
-pocketfms_wp.o: pocketfms_wp.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+pocketfms_wp.o: pocketfms_wp.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   csv_util.h
-polygon.o: polygon.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+polygon.o: polygon.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h
-position.o: position.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+position.o: position.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h \
   grtcirc.h
-psitrex.o: psitrex.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+psitrex.o: psitrex.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h garmin_tables.h
 queue.o: queue.cc queue.h
-radius.o: radius.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+radius.o: radius.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h \
   grtcirc.h
-random.o: random.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+random.o: random.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h garmin_fs.h \
   jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h jeeps/gpssend.h \
   jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h jeeps/gpsprot.h \
   jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h jeeps/gpsmem.h \
   jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h
-raymarine.o: raymarine.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+raymarine.o: raymarine.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   cet_util.h csv_util.h
-reverse_route.o: reverse_route.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+reverse_route.o: reverse_route.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   filterdefs.h
-rgbcolors.o: rgbcolors.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-route.o: route.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+rgbcolors.o: rgbcolors.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+route.o: route.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h grtcirc.h
-saroute.o: saroute.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+saroute.o: saroute.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h grtcirc.h
-sbn.o: sbn.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+sbn.o: sbn.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h navilink.h
-sbp.o: sbp.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+sbp.o: sbp.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h navilink.h
-session.o: session.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+session.o: session.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-shape.o: shape.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
-  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
-  shapelib/shapefil.h
-shapelib/dbfopen.o: shapelib/dbfopen.c shapelib/shapefil.h
-shapelib/safileio.o: shapelib/safileio.c shapelib/shapefil.h
-shapelib/shpopen.o: shapelib/shpopen.c shapelib/shapefil.h
-skyforce.o: skyforce.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+shape.o: shape.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+skyforce.o: skyforce.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-skytraq.o: skytraq.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+skytraq.o: skytraq.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h gbser.h
-smplrout.o: smplrout.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+smplrout.o: smplrout.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h \
   grtcirc.h
-sort.o: sort.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+sort.o: sort.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h filterdefs.h
 src/core/usasciicodec.o: src/core/usasciicodec.cc src/core/usasciicodec.h
 src/core/xmlstreamwriter.o: src/core/xmlstreamwriter.cc \
   src/core/xmlstreamwriter.h
-stackfilter.o: stackfilter.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+stackfilter.o: stackfilter.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   filterdefs.h
-stmsdf.o: stmsdf.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+stmsdf.o: stmsdf.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   csv_util.h strptime.h jeeps/gpsmath.h jeeps/gpsport.h grtcirc.h
-stmwpp.o: stmwpp.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+stmwpp.o: stmwpp.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h csv_util.h \
   cet_util.h
 strptime.o: strptime.c config.h strptime.h
-subrip.o: subrip.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+subrip.o: subrip.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-swapdata.o: swapdata.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+swapdata.o: swapdata.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h
-tef_xml.o: tef_xml.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+tef_xml.o: tef_xml.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h
-teletype.o: teletype.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+teletype.o: teletype.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-text.o: text.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+text.o: text.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h jeeps/gpsmath.h \
   jeeps/gpsport.h src/core/xmltag.h
-tiger.o: tiger.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+tiger.o: tiger.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   csv_util.h
-tmpro.o: tmpro.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+tmpro.o: tmpro.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   csv_util.h
-tomtom.o: tomtom.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+tomtom.o: tomtom.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-tpg.o: tpg.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+tpg.o: tpg.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h jeeps/gpsmath.h \
   jeeps/gpsport.h
-tpo.o: tpo.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+tpo.o: tpo.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h jeeps/gpsmath.h \
   jeeps/gpsport.h
-trackfilter.o: trackfilter.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+trackfilter.o: trackfilter.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   filterdefs.h grtcirc.h strptime.h xmlgeneric.h
-transform.o: transform.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+transform.o: transform.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   filterdefs.h
-unicsv.o: unicsv.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+unicsv.o: unicsv.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   csv_util.h garmin_fs.h jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   garmin_tables.h
-units.o: units.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+units.o: units.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-util.o: util.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+util.o: util.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h src/core/xmltag.h \
   jeeps/gpsmath.h jeeps/gpsport.h
 util_crc.o: util_crc.cc
-v900.o: v900.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+v900.o: v900.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h
-validate.o: validate.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+validate.o: validate.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h filterdefs.h
-vcf.o: vcf.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+vcf.o: vcf.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h jeeps/gpsmath.h \
   jeeps/gpsport.h
-vecs.o: vecs.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+vecs.o: vecs.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h csv_util.h gbversion.h
-vidaone.o: vidaone.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+vidaone.o: vidaone.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-vitosmt.o: vitosmt.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+vitosmt.o: vitosmt.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h grtcirc.h
-vitovtt.o: vitovtt.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+vitovtt.o: vitovtt.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h
-vpl.o: vpl.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+vpl.o: vpl.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h
-waypt.o: waypt.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+waypt.o: waypt.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   grtcirc.h garmin_fs.h jeeps/gps.h jeeps/gpsport.h jeeps/gpsdevice.h \
   jeeps/gpssend.h jeeps/gpsread.h jeeps/gpsutil.h jeeps/gpsapp.h \
   jeeps/gpsprot.h jeeps/gpscom.h jeeps/gpsfmt.h jeeps/gpsmath.h \
   jeeps/gpsmem.h jeeps/gpsrqst.h jeeps/gpsinput.h jeeps/gpsproj.h \
   src/core/logging.h
-wbt-200.o: wbt-200.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+wbt-200.o: wbt-200.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h gbser.h \
   grtcirc.h
-wfff_xml.o: wfff_xml.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+wfff_xml.o: wfff_xml.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h
-wintec_tes.o: wintec_tes.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h
-xcsv.o: xcsv.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+wintec_tes.o: wintec_tes.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h
+xcsv.o: xcsv.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h cet_util.h csv_util.h \
   jeeps/gpsmath.h jeeps/gpsport.h
 xhtmlent.o: xhtmlent.cc
-xmlgeneric.o: xmlgeneric.cc defs.h config.h queue.h zlib/zlib.h \
-  zlib/zconf.h gbfile.h cet.h inifile.h session.h src/core/datetime.h \
+xmlgeneric.o: xmlgeneric.cc defs.h config.h queue.h \
+  gbfile.h cet.h inifile.h session.h src/core/datetime.h \
   xmlgeneric.h cet_util.h src/core/file.h
-xmltag.o: xmltag.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+xmltag.o: xmltag.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h cet_util.h \
   src/core/xmltag.h
-xol.o: xol.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h gbfile.h \
+xol.o: xol.cc defs.h config.h queue.h gbfile.h \
   cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h \
   jeeps/gpsmath.h jeeps/gpsport.h garmin_tables.h
-yahoo.o: yahoo.cc defs.h config.h queue.h zlib/zlib.h zlib/zconf.h \
+yahoo.o: yahoo.cc defs.h config.h queue.h \
   gbfile.h cet.h inifile.h session.h src/core/datetime.h xmlgeneric.h
-zlib/adler32.o: zlib/adler32.c zlib/zutil.h zlib/zlib.h zlib/zconf.h \
-  config.h
-zlib/compress.o: zlib/compress.c zlib/zlib.h zlib/zconf.h config.h
-zlib/crc32.o: zlib/crc32.c zlib/zutil.h zlib/zlib.h zlib/zconf.h config.h \
-  zlib/crc32.h
-zlib/deflate.o: zlib/deflate.c zlib/deflate.h zlib/zutil.h zlib/zlib.h \
-  zlib/zconf.h config.h
-zlib/gzclose.o: zlib/gzclose.c zlib/gzguts.h zlib/zlib.h zlib/zconf.h \
-  config.h
-zlib/gzlib.o: zlib/gzlib.c zlib/gzguts.h zlib/zlib.h zlib/zconf.h \
-  config.h
-zlib/gzread.o: zlib/gzread.c zlib/gzguts.h zlib/zlib.h zlib/zconf.h \
-  config.h
-zlib/gzwrite.o: zlib/gzwrite.c zlib/gzguts.h zlib/zlib.h zlib/zconf.h \
-  config.h
-zlib/infback.o: zlib/infback.c zlib/zutil.h zlib/zlib.h zlib/zconf.h \
-  config.h zlib/inftrees.h zlib/inflate.h zlib/inffast.h zlib/inffixed.h
-zlib/inffast.o: zlib/inffast.c zlib/zutil.h zlib/zlib.h zlib/zconf.h \
-  config.h zlib/inftrees.h zlib/inflate.h zlib/inffast.h
-zlib/inflate.o: zlib/inflate.c zlib/zutil.h zlib/zlib.h zlib/zconf.h \
-  config.h zlib/inftrees.h zlib/inflate.h zlib/inffast.h zlib/inffixed.h
-zlib/inftrees.o: zlib/inftrees.c zlib/zutil.h zlib/zlib.h zlib/zconf.h \
-  config.h zlib/inftrees.h
-zlib/trees.o: zlib/trees.c zlib/deflate.h zlib/zutil.h zlib/zlib.h \
-  zlib/zconf.h config.h zlib/trees.h
-zlib/uncompr.o: zlib/uncompr.c zlib/zlib.h zlib/zconf.h config.h
-zlib/zutil.o: zlib/zutil.c zlib/zutil.h zlib/zlib.h zlib/zconf.h config.h \
-  zlib/gzguts.h
+
 internal_styles.cc: mkstyle.sh $(srcdir)/style/*.style
 	$(srcdir)/mkstyle.sh > internal_styles.cc || (rm -f internal_styles.cc ; exit 1)
